Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.xpath
Class XPathExpressionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.xpath.XPathException
                  javax.xml.xpath.XPathExpressionException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  XPathFunctionException

    public class XPathExpressionException

extends XPathException

`XPathExpressionException` represents an error in an XPath expression.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`XPathExpressionException(String message)` Constructs a new `XPathExpressionException` with the specified detail `message`.
`XPathExpressionException(Throwable cause)` Constructs a new `XPathExpressionException` with the specified `cause`.

Method Summary

Methods inherited from class javax.xml.xpath.XPathException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathExpressionException

    public XPathExpressionException(String message)

  Constructs a new `XPathExpressionException` with the specified detail `message`.

  The `cause` is not initialized.

  If `message` is `null`, then a `NullPointerException` is thrown.

  Parameters:
    `message` - The detail message.
  Throws:
    `NullPointerException` - When `message` is `null`.

### XPathExpressionException

    public XPathExpressionException(Throwable cause)

  Constructs a new `XPathExpressionException` with the specified `cause`.

  If `cause` is `null`, then a `NullPointerException` is thrown.

  Parameters:
    `cause` - The cause.
  Throws:
    `NullPointerException` - if `cause` is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.